Subject: Re: [bug#33027] [PATCH] gnu: stellarium: Update to 0.18.2

From: Brett Gilio <[email-masked]>
Date: Fri, 12 Oct 2018 19:13:09 -0500

Tobias Geerinckx-Rice writes:

> Brett, Guix,
>
> Brett Gilio wrote:
>> (define-public stellarium
>>   (package
>>     (name "stellarium")
>> -    (version "0.18.1")
>> +    (version "0.18.2")
>
> I tried updating stellarium recently but ran into the following 
> test failure:
>
> 12/15 Test #12: testEphemeris ....................***Exception: 
> Child aborted
> 0.01 sec
> ********* Start testing of TestEphemeris *********
> Config: Using QtTest library 5.11.1, Qt 5.11.1 
> (x86_64-little_endian-lp64 shared
> (dynamic) release build; by GCC 5.5.0)
> QWARN  : TestEphemeris::initTestCase() WARNING 
> StelFileMgr::StelFileMgr: could
> not find install location:
> "/gnu/store/gk73b3xdzcfn7xp587r8yd31pw88ndjq-stellarium-0.18.2/share/stellarium"
> (we checked for
> "/gnu/store/gk73b3xdzcfn7xp587r8yd31pw88ndjq-stellarium-0.18.2/share/stellarium/data/ssystem_major.ini"
> ).
> QWARN  : TestEphemeris::initTestCase() Maybe this is AppImage or 
> something
> similar? Let's check relative path...
> QWARN  : TestEphemeris::initTestCase() WARNING 
> StelFileMgr::StelFileMgr: could
> not find install location:
> "/tmp/guix-build-stellarium-0.18.2.drv-0/build/src/../share/stellarium" 
> (we
> checked for
> "/tmp/guix-build-stellarium-0.18.2.drv-0/build/src/../share/stellarium/data/ssystem_major.ini"
> ).
> QFATAL : TestEphemeris::initTestCase() Couldn't find install 
> directory location.
> FAIL!  : TestEphemeris::initTestCase() Received a fatal error.
>   Loc: [Unknown file(0)]
> Totals: 0 passed, 1 failed, 0 skipped, 0 blacklisted, 0ms
> ********* Finished testing of TestEphemeris *********
>
> I haven't had time to look into it yet. It's weird/interesting 
> that you don't
> run into it, though...
>
> Could you try building with '--rounds=<about 20 or so>' and see 
> if you can make
> it fail?
>
> Kind regards,
>
> T G-R

This issue is appearing for me, now, too. Interesting. I will see 
if I
can revise it and then send the appropriately formatted git patch. 
I
think I figured out how to do that now.

-- 
Brett M. Gilio
Free Software Foundation, Member
https://gnu.org/s/guix/ | https://emacs.org